Кіріспе

Желілік уақыт протоколы (NTP) демоны (ntpd) – жүйелік уақытты желілік уақыт протоколын (NTP) пайдаланатын уақыт серверлерімен синхрондауды қамтамасыз ететін операциялық жүйе бағдарламасы.

Сипаттама

ntpd бағдарламасы – компьютер жүйесінің жүйелік уақытын Интернет стандартты уақыт серверлерімен синхрондау арқылы орнатып, сақтайтын операциялық жүйе демоны. Бұл Желілік уақыт протоколының (NTP) 4-ші нұсқасының толыққанды іске асырылуы, бірақ RFC 1059, RFC 1119 және RFC 1305 сипаттағандай 1, 2 және 3-ші нұсқалармен үйлесімділікті сақтайды. ntpd көптеген есептеулерді 64 биттік қозғалатын нүктелік арифметикада орындайды және соңғы дәлдікті, шамамен 232 пикосекундты сақтау үшін қажет болған жағдайда ғана 64 биттік бекітілген нүктелік операцияларды қолданады. Кәдімгі жұмыс станциялары мен желілер ең жоғары дәлдікке жете алмайтын болса, болашақ процессорлар мен желілерге ол қажет болуы мүмкін. xntpd – Желілік уақыт протоколының үшінші (1992) нұсқасының бағдарламалық қамтамасы. «x» әрпі атауға қосылды, себебі NTPv3 кодының тармағы «эксперименттік» деп белгіленген. Бағдарлама атауы төртінші нұсқада «ntpd» деп өзгертілді, өйткені NTP-нің авторы Дейв Миллс, егер күрт өзгеріс болмаса, шамамен жиырма жыл бойы «эксперименттік» күйде қалуының қажеті жоқ деп шешті. ntpd демонды серверлік және/немесе клиенттік режимдерде іске қосу үшін бір конфигурациялық файлды пайдаланады. Конфигурациялық файл, әдетте ntp.conf деп аталады, /etc каталогында орналасқан. Басқа маңызды файлдарға дрифт файлы жатады, ол ntpd-ге жоғары дәлдіктегі уақыт серверіне қосылыс болмаған жағдайда аппараттық сағаттың қатесін түзетуге көмектеседі.